Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.program.ssbind
Interface StAXHandlerFactory

    public interface StAXHandlerFactory

`StAXHandlerFactory` is an interface for factories producing `StAXContentHandler`s which are used by the `SeqSimilarityStAXAdapter`.

Since:
  1.3
Author:
  Thomas Down, Keith James

Method Summary
`StAXContentHandler` | `getHandler(SeqSimilarityStAXAdapter ssContext)` `getHandler` returns an appropriate `StAXContentHandler` implementation containing a reference to a parent context.

Method Detail

### getHandler

    StAXContentHandler getHandler(SeqSimilarityStAXAdapter ssContext)

  `getHandler` returns an appropriate `StAXContentHandler` implementation containing a reference to a parent context.

  Parameters:
    `ssContext` - a `SeqSimilarityStAXAdapter`.
  Returns:
    a `StAXContentHandler`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD